Bug 1739746 - [abrt] dnf: _download_remote_payloads(): shell.py:121:onecmd:TypeError: can only concatenate str (not "NoneType") to str
Summary: [abrt] dnf: _download_remote_payloads(): shell.py:121:onecmd:TypeError: can o...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 30
Hardware: x86_64
OS: Unspecified
low
unspecified
Target Milestone: ---
Assignee: amatej
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a6ecc0c1efa2e771d5d3084ac4b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-10 02:22 UTC by Jim Cromie
Modified: 2020-05-04 06:11 UTC (History)
9 users (show)

Fixed In Version: dnf-4.2.15-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 06:11:50 UTC
Type: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (455.18 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: backtrace (3.04 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: cgroup (399 bytes, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: cpuinfo (1.48 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: dnf-makecache.log (5.38 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: environ (2.09 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: mountinfo (3.98 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: namespaces (129 bytes, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details
File: open_fds (1.83 KB, text/plain)
2019-08-10 02:22 UTC, Jim Cromie
no flags Details

Description Jim Cromie 2019-08-10 02:22:28 UTC
Version-Release number of selected component:
dnf-4.2.7-2.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        /usr/bin/python3 /usr/bin/dnf shell
crash_function: _download_remote_payloads
exception_type: dnf.exceptions.DownloadError
executable:     /usr/bin/dnf
interpreter:    python3-3.7.4-1.fc30.x86_64
kernel:         5.2.6-200.fc30.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
shell.py:121:onecmd:TypeError: can only concatenate str (not "NoneType") to str

Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/dnf/cli/commands/shell.py", line 119, in onecmd
    cmd.run()
  File "/usr/lib/python3.7/site-packages/dnf-plugins/reposync.py", line 109, in run
    self.download_packages(repo)
  File "/usr/lib/python3.7/site-packages/dnf-plugins/reposync.py", line 189, in download_packages
    base._download_remote_payloads(payloads, drpm, progress, None)
  File "/usr/lib/python3.7/site-packages/dnf/base.py", line 1082, in _download_remote_payloads
    raise dnf.exceptions.DownloadError(errors._irrecoverable)
dnf.exceptions.DownloadError: Interrupted by a SIGINT signal

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 191, in user_main
    errcode = main(args)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 65, in main
    return _main(base, args, cli_class, option_parser_class)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 98, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.7/site-packages/dnf/cli/main.py", line 114, in cli_run
    cli.run()
  File "/usr/lib/python3.7/site-packages/dnf/cli/cli.py", line 1135, in run
    return self.command.run()
  File "/usr/lib/python3.7/site-packages/dnf/cli/commands/shell.py", line 88, in run
    self.cmdloop()
  File "/usr/lib64/python3.7/cmd.py", line 138, in cmdloop
    stop = self.onecmd(line)
  File "/usr/lib/python3.7/site-packages/dnf/cli/commands/shell.py", line 121, in onecmd
    logger.error(_("Error:") + " " + e.value)
TypeError: can only concatenate str (not "NoneType") to str

Local variables in innermost frame:
self: <dnf.cli.commands.shell.ShellCommand object at 0x7f4dbde1eb10>
line: 'reposync'
s_line: ['reposync']
opts: Namespace(advisory=[], allowerasing=None, arches=[], assumeno=None, assumeyes=None, best=None, bugfix=False, bugzilla=[], cacheonly=None, clean_requirements_on_remove=None, color=None, command=['reposync'], comment=None, config_file_path=None, cves=[], debuglevel=None, debugsolver=None, delete=False, destdir=None, disable_excludes=[], disableplugin=[], download_metadata=False, download_path='./', downloadcomps=False, downloadonly=False, enableplugin=[], enhancement=False, errorlevel=None, excludepkgs=[], freshest_metadata=False, gpgcheck=None, help=False, installroot=None, ip_resolve=None, metadata_path=None, newest_only=False, newpackage=False, obsoletes=None, plugins=None, quiet=None, releasever=None, repo=[], repofrompath={}, repos_ed=[], rpmverbosity=None, security=False, set_disabled=False, set_enabled=False, setopts=[], severity=[], showdupesfromrepos=None, skip_broken=None, sleeptime=None, source=False, tsflags=None, verbose=None, version=None)
cmd_cls: <class 'dnf.plugin.dynamic.reposync.RepoSyncCommand'>
cmd: <dnf.plugin.dynamic.reposync.RepoSyncCommand object at 0x7f4dba6cda10>

Comment 1 Jim Cromie 2019-08-10 02:22:34 UTC
Created attachment 1602362 [details]
File: _var_log_dnf.log

Comment 2 Jim Cromie 2019-08-10 02:22:36 UTC
Created attachment 1602363 [details]
File: backtrace

Comment 3 Jim Cromie 2019-08-10 02:22:37 UTC
Created attachment 1602364 [details]
File: cgroup

Comment 4 Jim Cromie 2019-08-10 02:22:39 UTC
Created attachment 1602365 [details]
File: cpuinfo

Comment 5 Jim Cromie 2019-08-10 02:22:40 UTC
Created attachment 1602366 [details]
File: dnf-makecache.log

Comment 6 Jim Cromie 2019-08-10 02:22:41 UTC
Created attachment 1602367 [details]
File: environ

Comment 7 Jim Cromie 2019-08-10 02:22:42 UTC
Created attachment 1602368 [details]
File: mountinfo

Comment 8 Jim Cromie 2019-08-10 02:22:43 UTC
Created attachment 1602369 [details]
File: namespaces

Comment 9 Jim Cromie 2019-08-10 02:22:44 UTC
Created attachment 1602370 [details]
File: open_fds

Comment 10 amatej 2019-09-04 11:59:32 UTC
This was already fixed by https://github.com/rpm-software-management/dnf/pull/1468

The problem was that we previously tried to access the value from error e by direct call to e.value which was empty where as now its wrapped in ucd(e) function, this gets the correct error value.

Comment 11 Fedora Update System 2019-11-11 09:43:16 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 12 Fedora Update System 2019-11-11 09:43:49 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 13 Fedora Update System 2019-11-12 03:07:40 UTC
dnf-4.2.15-1.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 14 Fedora Update System 2019-11-13 04:56:08 UTC
dnf-4.2.15-1.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 15 Fedora Update System 2019-11-14 06:46:56 UTC
FEDORA-2019-7cafbe66ba has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 16 Fedora Update System 2019-11-14 06:50:42 UTC
FEDORA-2019-94393775ec has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 17 Fedora Update System 2019-11-15 03:45:05 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7cafbe66ba

Comment 18 Fedora Update System 2019-11-15 04:38:38 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-94393775ec

Comment 19 Fedora Update System 2019-11-19 01:35:10 UTC
dnf-4.2.15-2.fc31, dnf-plugins-core-4.0.11-1.fc31, dnf-plugins-extras-4.0.8-1.fc31, libdnf-0.37.2-2.fc31, librepo-1.11.0-1.fc31, microdnf-3.0.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-12-02 19:10:30 UTC
dnf-4.2.15-3.fc30, dnf-plugins-core-4.0.11-1.fc30, dnf-plugins-extras-4.0.8-1.fc30, libdnf-0.37.2-2.fc30, librepo-1.11.0-1.fc30, microdnf-3.0.2-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Ben Cotton 2020-04-30 20:26:46 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.